package com.bonus.canteen.core.device.manage.controller.deprecated.vo;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class MacCustInfoHealthyVo {
   @ApiModelProperty("性别 1-男 2-女")
   private Integer sex;
   @ApiModelProperty("BMI")
   private BigDecimal bmi;
   @ApiModelProperty("慢性病id 多个用,分割")
   private String chronicIds;
   @ApiModelProperty("慢性病名称 多个用,分割")
   private String chronicNames;
   @ApiModelProperty("医嘱")
   private String doctorAdvice;
   @ApiModelProperty("过敏源")
   private String allergen;

   public Integer getSex() {
      return this.sex;
   }

   public BigDecimal getBmi() {
      return this.bmi;
   }

   public String getChronicIds() {
      return this.chronicIds;
   }

   public String getChronicNames() {
      return this.chronicNames;
   }

   public String getDoctorAdvice() {
      return this.doctorAdvice;
   }

   public String getAllergen() {
      return this.allergen;
   }

   public void setSex(final Integer sex) {
      this.sex = sex;
   }

   public void setBmi(final BigDecimal bmi) {
      this.bmi = bmi;
   }

   public void setChronicIds(final String chronicIds) {
      this.chronicIds = chronicIds;
   }

   public void setChronicNames(final String chronicNames) {
      this.chronicNames = chronicNames;
   }

   public void setDoctorAdvice(final String doctorAdvice) {
      this.doctorAdvice = doctorAdvice;
   }

   public void setAllergen(final String allergen) {
      this.allergen = allergen;
   }

}
